Skip to main content

Get Contact Custom Fields

Retrieve all custom field values for a specific contact.

Request

GET /contacts/{contactUuid}/custom-fields

Path Parameters

ParameterTypeDescription
contactUuidstringContact's UUID

Query Parameters

ParameterTypeDefaultDescription
pageinteger1Page number (min: 1)
per_pageinteger100Items per page (min: 1, max: 100)

Ordering: Results are ordered by created_at descending (newest first).

Example Request

curl -X GET "https://email.easy.tools/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000/custom-fields?page=1&per_page=50" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"

Response

Success Response (200 OK)

{
"data": [
{
"uuid": "field-uuid-123",
"field_key": "company",
"name": "Company",
"type": "text",
"value": "Acme Inc"
},
{
"uuid": "field-uuid-456",
"field_key": "plan",
"name": "Plan",
"type": "select",
"value": "enterprise"
},
{
"uuid": "field-uuid-789",
"field_key": "is_vip",
"name": "VIP Customer",
"type": "boolean",
"value": true
},
{
"uuid": "field-uuid-012",
"field_key": "events-attended",
"name": "Events Attended",
"type": "list",
"value": ["Webinar X", "Webinar Y"]
}
],
"pagination": {
"current_page": 1,
"per_page": 50,
"total": 3
}
}

Response Fields

FieldTypeDescription
uuidstringField's unique identifier
field_keystringUnique key for the field
namestringDisplay name
typestringField type
valuemixedThe field value (type depends on field type)

Value Types by Field Type

Field TypeValue TypeExample
textstring"Acme Inc"
numbernumber42, 3.14
booleanbooleantrue, false
datestring"2025-01-15"
datetimestring"2025-01-15T10:30:00Z"
selectstring"enterprise"
listarray of strings["Webinar X", "Webinar Y"]

Pagination Object

FieldTypeDescription
current_pageintegerCurrent page number
per_pageintegerNumber of items per page
totalintegerTotal number of custom field values

Error Responses

Not Found Error (404)

{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Contact not found"
}
}

Validation Error (422 Unprocessable Entity)

{
"error": {
"code": "VALIDATION_ERROR",
"message": "The given data was invalid",
"details": {
"per_page": ["The per page must not be greater than 100."]
}
}
}